Subject: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Darren Hoo <[email-masked]>
Date: Sun, 09 Feb 2014 14:42:31 +0800

Paul Eggert <[email-masked]> writes:

> Darren Hoo wrote:
>> -  Fset_input_interrupt_mode (Qnil);
>> +  Fset_input_interrupt_mode (Qt);
>
> That reverses a change made 2009-01-29 10:36:22 +0000 by Adrian Robert
> in trunk bzr 94305.  The ChangeLog entry doesn't say why the change
> was made.  I'll CC: this to Adrian to see whether he can explain.
> Adrian, the context for this email can be found at:
>
> http://bugs.gnu.org/16594

While waiting for Adrian, I noticed with this comibination:

  Fset_input_interrupt_mode (Qt);
  (custom-set-variables '(display-hourglass nil))

then after doing `M-! sleep 1000' I can no longer quit with
C-g but to wait the child process to finish itself.

I doubt SIGIO really works on Cocoa GUI mode, even
input-interrupt-mode is set to t, SIGIO may not be properly
initialized, more work needs to be done.